\section{Problem: Selecting the Best Hotel}

\begin{frame}{Finding Hotels on TripAdvisor}
\begin{figure}
	\centering
	\includegraphics[width=\linewidth]{tripadvisor.png}
\end{figure}
\begin{itemizeb}
\item Decisions on hotels are based on reviews
\item Overall ranking is based on stars given by the users
\item People find it hard to star hotels
\item Much information is in reviews, but we cannot read all of them
\end{itemizeb}
\end{frame}

\begin{frame}{ToKnow: Querying Structured Content-Representations}
\begin{itemizeb}
\item Rubén Aarón Estrada Poggio's master thesis, former student at UniBz
\item Given a query, returns the most interesting hotels in whose reviews
the query is mentioned
\end{itemizeb}
\begin{figure}
\centering
\begin{tikzpicture}
\node[anchor=south west,inner sep=0] at (0,0) {\includegraphics[width=\linewidth,height=0.8\textheight,keepaspectratio]{toknow2.png}};
\draw[red,ultra thick] (4.95,3.1) rectangle ++(3.5,0.9);
\end{tikzpicture}
\end{figure}
\begin{center}
\textbf{But} reviews are written in different styles by different people\\
A query is not enough to capture all the reviews expressing a sentiment
\end{center}
\end{frame}

\begin{frame}{Our Proposal: Find Similarity in Reviews}
\begin{itemizeb}
\item In \toknow reviews are modeled as triples\\e.g. \emphq{The breakfast at the hotel was great} $\longrightarrow$
\triple{breakfast}{great}
\vspace*{0.8em}
\item Ask for one triple $\longrightarrow$ return all the similar ones too
\vspace*{0.8em}
\begin{figure}
\centering
\begin{tikzpicture}[>=stealth, thick, scale=0.4]
\node (A) at (0,0) [draw, process, text width=3cm, align=flush center] 
{location\gspace is\gspace fantastic};

\node (B) at (11,1.7) [draw, process, text width=3.2cm, align=flush center] 
{location\gspace is\gspace marvelous};

\node (C) at (11,0) [draw, process, text width=3.2cm, align=flush center] 
{location\gspace is\gspace great};

\node (D) at (11,-1.7) [draw, process, text width=3.2cm, align=flush center] 
{location\gspace is\gspace not\gspace bad};

\draw[->] (A) -- (B);
\draw[->] (A) -- (C);
\draw[->] (A) -- (D);
\end{tikzpicture}
\end{figure}
\vspace*{0.8em}
\item Find some ordering scheme based on synonyms
\vspace*{0.8em}
\begin{figure}
\centering
\begin{tikzpicture}[>=stealth, thick, scale=0.4]
\node (A) at (-9,0) [draw, process, align=flush center] 
{location\gspace is\gspace not\gspace bad};

\node (B) at (0,0) [draw, process, align=flush center] 
{location\gspace is\gspace fantastic};

\node (C) at (9,0) [draw, process, align=flush center] 
{location\gspace is\gspace marvelous};

\draw[->] (A) -- (B);
\draw[->] (B) -- (C);
\end{tikzpicture}
\end{figure}
\vspace*{0.8em}
\end{itemizeb}
\end{frame}